Loading...
Searching...
No Matches
caf::io::middleman_actor_impl Class Reference

Default implementation of the middleman_actor interface. More...

`#include <middleman_actor_impl.hpp>`

Inheritance diagram for caf::io::middleman_actor_impl:

## Public Types

using | put_res = result<uint16_t>
using | mpi_set = std::set<std::string>
using | get_res = result<node_id, strong_actor_ptr, mpi_set>
using | get_delegated = delegated<node_id, strong_actor_ptr, mpi_set>
using | del_res = result<void>
using | endpoint_data = std::tuple<node_id, strong_actor_ptr, mpi_set>
using | endpoint = std::pair<std::string, uint16_t>
Public Types inherited from caf::typed_event_based_actor< Sigs... >
using | super
using | signatures
using | behavior_type
using | actor_hdl

## Public Member Functions

| middleman_actor_impl (actor_config &cfg, actor default_broker)
void | on_exit () override
const char * | name () const override
behavior_type | make_behavior () override
Public Member Functions inherited from caf::typed_event_based_actor< Sigs... >
| typed_event_based_actor (actor_config &cfg)
std::set< std::string > | message_types () const override
void | initialize () override

## Protected Member Functions

virtual expected< scribe_ptr > | connect (const std::string &host, uint16_t port)
| Tries to connect to given host and port.
virtual expected< datagram_servant_ptr > | contact (const std::string &host, uint16_t port)
| Tries to connect to given host and port.
virtual expected< doorman_ptr > | open (uint16_t port, const char *addr, bool reuse)
| Tries to open a local port.
virtual expected< datagram_servant_ptr > | open_udp (uint16_t port, const char *addr, bool reuse)
| Tries to open a local port.

## Detailed Description

Default implementation of the middleman_actor interface.

## Member Function Documentation

## connect()

virtual expected< scribe_ptr > caf::io::middleman_actor_impl::connect | ( | const std::string & | host,
|  | uint16_t | port )

protected virtual

Tries to connect to given host and port.

The default implementation calls system().middleman().backend().new_tcp_scribe(host, port).

## contact()

virtual expected< datagram_servant_ptr > caf::io::middleman_actor_impl::contact | ( | const std::string & | host,
|  | uint16_t | port )

protected virtual

Tries to connect to given host and port.

The default implementation calls system().middleman().backend().new_udp.

## make_behavior()

behavior_type caf::io::middleman_actor_impl::make_behavior | ( |  | ) |

override virtual

Reimplemented from caf::typed_event_based_actor< Sigs... >.

## open()

virtual expected< doorman_ptr > caf::io::middleman_actor_impl::open | ( | uint16_t | port,
|  | const char * | addr,
|  | bool | reuse )

protected virtual

Tries to open a local port.

The default implementation calls system().middleman().backend().new_tcp_doorman(port, addr, reuse).

## open_udp()

virtual expected< datagram_servant_ptr > caf::io::middleman_actor_impl::open_udp | ( | uint16_t | port,
|  | const char * | addr,
|  | bool | reuse )

protected virtual

Tries to open a local port.

The default implementation calls system().middleman().backend().new_tcp_doorman(port, addr, reuse).

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/middleman_actor_impl.hpp